## org.firebirdsql.jdbc
Class FBSQLParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.firebirdsql.jdbc.FBSQLException
                      org.firebirdsql.jdbc.FBSQLParseException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class FBSQLParseException

extends FBSQLException

This exception is thrown by FBEscapedParser when it cannot parse the escaped syntax.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Field Summary
`static String` `SQL_STATE_INVALID_ESCAPE_SEQ`

Fields inherited from class org.firebirdsql.jdbc.FBSQLException
`SQL_STATE_COMM_LINK_FAILURE, SQL_STATE_CONNECTION_CLOSED, SQL_STATE_CONNECTION_FAILURE_IN_TX, SQL_STATE_GENERAL_ERROR, SQL_STATE_INVALID_ARG_VALUE, SQL_STATE_INVALID_COLUMN, SQL_STATE_INVALID_CONN_ATTR, SQL_STATE_INVALID_CONVERSION, SQL_STATE_INVALID_PARAM_TYPE, SQL_STATE_NO_RESULT_SET, SQL_STATE_NO_ROW_AVAIL, SQL_STATE_WRONG_PARAM_NUM`

Constructor Summary
`FBSQLParseException(String msg)`

Method Summary

Methods inherited from class org.firebirdsql.jdbc.FBSQLException
`getErrorCode, getInternalException, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.sql.SQLException
`getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SQL_STATE_INVALID_ESCAPE_SEQ

    public static final String SQL_STATE_INVALID_ESCAPE_SEQ

See Also:
  Constant Field Values

Constructor Detail

### FBSQLParseException

    public FBSQLParseException(String msg)

Copyright © 2001-2010. All Rights Reserved.